### Function

# Foundry PtyDiagnostics register

#### Declaration [src]

    void
    foundry_pty_diagnostics_register (
      GRegex* regex
    )

#### Description [src]

Registers `regex` for use when extracting diagnostics from a PTY stream.

The regex should capture values into named groups that the `FoundryPtyDiagnostics` can turn into `FoundryDiagnostic`.

Named groups supported are:

- message
- filename
- line
- column
- level.

#### Parameters

`regex`

  Type: `GRegex`

  No description available.

  The called function takes ownership of the data, and is responsible for freeing it.